/******************************************************************************
 CNSystemLimboDoc.c

							The NSystemLimboDoc Class
	
	SUPERCLASS = CNervousSystemDoc
	
	Source code for "NervousSystem"
	Copyright  1994 Daniel McFarlane. All rights reserved.
	All use is dictated by the terms of the "GNU General Public 
	License" (see the file "CNObjectView.c" for details).
	
 ******************************************************************************/


#include "CNSystemLimboDoc.h"
#include "MainWindow.h"


/******************************************************************************
 NewFile

	Compare to "ZNSystemLimboDoc::NewFile"
******************************************************************************/

void	CNSystemLimboDoc::NewFile(void)
{
	itsData = NULL;

	BuildWindows ();
}


/******************************************************************************
 BuildWindows
 
	Compare to "ZNSystemLimboDoc::BuildWindows"
******************************************************************************/

void	CNSystemLimboDoc::BuildWindows(void)
{
	CWindow			*mainWindow;
	CDirector		*subWindow;

	mainWindow = new CMainWindow;
	itsWindow = mainWindow;
	((CMainWindow *)mainWindow)->IMainWindowForLimboDoc (this, itsData);
	itsMainPane = ((CMainWindow *)mainWindow)->itsMainPane;
}

