/* DendriteController.h -- Modal dialog */
/* Created 9/18/93 5:28 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

#define _H_DendriteController 

#include "zDendriteController.h"

class CNDendriteModel;
#include "CNModelData.h"

/*----------*/
class CDendriteController : public ZDendriteController {
public:
	virtual	void	IDendriteController	(CDirectorOwner		*aSupervisor);
	void	UpdateMenus		(void);							// is override
	void 	DoCommand		(long			theCommand);	// is override

protected:
	void	ProviderChanged	(CCollaborator	*aProvider,
							 long			reason,
							 void*			info);			// is override
							 

public:							 
	void 	GetDataFromDialog (nDendriteData *data);
	void 	PutDataToDialog (nDendriteData *data);

	
}; /* CDendriteController */

/*----------*/
void	DoDendriteController	(CDirectorOwner	*aSupervisor, CNDendriteModel *D);
