/* MainWindow.h -- window class */
/* Created 4/8/93 1:55 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

#define _H_MainWindow 

#include "zMainWindow.h"
#include "CNMyGlobals.h"

class CPanorama;


class CMainWindow : public ZMainWindow {
public:
	virtual	void	IMainWindow		(CDirector			*aSupervisor,
									 CNervousSystemData		*theData);
	virtual	void	IMainWindowForLimboDoc		(CDirector			*aSupervisor,
									 CNervousSystemData		*theData);
	void	UpdateMenus		(void);							// is override
	void 	DoCommand		(long			theCommand);	// is override

protected:
	CNervousSystemData	*itsData;

	void	ProviderChanged	(CCollaborator	*aProvider,
							 long			reason,
							 void*			info);			// is override
	CPanorama	*NewUser5		(void);		// is override
	
protected:
	// your application-specific instance variables:
	void	DoPalette1 (void);

public:
	// your application-specific instance variables:
/*	Boolean	shiftKeyDown;
	CList	*selection;
*/

}; /* CMainWindow */


extern	enum nTool gNTool;

//!! NOTE: Because User5 is CPanorama:: and not CNBrainPan::, in this code User5
//!! can only be sent messages that it inherits or overrides from CPanorama:: and 
//!! not messages specific to CNBrainPan (without casting).  