/* NervousSystemData.h -- data access class */
/* Created 5/6/93 8:16 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

#define _H_NervousSystemData

#include <CDataFile.h>

class CDocument;

// Define the creator type and file type for your application:
#define kSignature		'XXXX'
#define kFileType		'TEXT'

/*----------*/
class CNervousSystemData : public CDataFile {
public:
	Boolean			hasFile;

	virtual void	INervousSystemData	(CDocument	*theDocument);
	void	Dispose		(void);						// is override

	void	Close		(void);						// is override

	virtual void	OpenData	(SignedByte		permission);
	virtual Boolean	Save		(void);
	virtual Boolean	SaveAs		(SFReply		*macSFReply);
	virtual void	Revert		(void);

// accessor functions, replace these with application-specific functions:
	virtual void	GetNervousSystem		(void);
	virtual void	PutNervousSystem		(void);
	virtual void	AddNervousSystem		(void);
	virtual void	DeleteNervousSystem		(void);

protected:
	CDocument		*itsDocument;

// define your own internal data structures:
	Handle			itsData;

	virtual void	ReadData		(void);	
	virtual Boolean	WriteData		(void);	
	virtual void	DisposeData		(void);	

}; /* CNervousSystemData */
