/* ResourceDefs.h */
/* Created 9/23/93 12:13 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

/* ALRT IDs */
#define AboutID			1  
#define GeneralID		128  
#define ValidationID	129  
#define ConfirmRevertID	150  
#define SaveChangesID	151  
#define SevereErrorID	200  
#define NoPrinterID		250  
#define ErrorID			251  
#define Error2ID		252  
#define assertID		253  
#define OSErrorID		300  

/* CNTL IDs */
#define ScrollBarID		300  

/* DLOG IDs */
#define SimulationSetupID	202  
#define MeterSetupID	203  
#define StimCellSetupID	204  
#define DendriteControllerID	205  
#define SomaControllerID	206  
#define AxonControllerID	207  
#define SynapseControllerID	208  
#define SingleEventSetupID	209  
#define SingleCycleSetupID	210  
#define CustomEventSetupID	211  
#define CustomCycleSetupID	212  
#define TrainCellSetupID	213  
#define PulseCellSetupID	214  

/* Estr IDs */
#define resNotFoundID	-192  
#define memFullErrID	-108  

/* ICN# IDs */
#define ApplID			128  
#define DocID			129  

/* MBAR IDs */
#define MainMenuID		1  
#define SubMenusID		2  

/* MENU IDs */
#define AppleID			1 

#define FileID			2 

#define EditID			3 

#define BuildID			4 
#define cmdStimulationCell	2001 
#define cmdDendrite			2002 
#define cmdSoma				2003 
#define cmdAxon				2004 
#define cmdSynapse			2005 
#define cmdNewMeter			2006 
#define cmdHideMeters		2007 

#define SimulateID		6 
#define cmdSimulationSetup	3001 
#define cmdRunSimulation	3002 
#define cmdKillSimulation	3003 

#define TempID			7 
#define cmdMeterSetup		4001 
#define cmdStimCellSetup	4002 
#define cmdSingleEventSetup	4007 
#define cmdSingleCycleSetup	4008 
#define cmdCustomEventSetup	4009 
#define cmdCustomCycleSetup	4010 

#define TimeStepUnitID	5 
#define cmdx005				9001 
#define cmdx0075			9002 
#define cmdx01				9003 
#define cmdx025				9004 
#define cmdx05				9005 
#define cmdx075				9006 
#define cmdx1				9007 
#define cmdx25				9008 
#define cmdx5				9009 
#define cmdx75				9010 
#define cmdx10				9011 

/* SICN IDs */
#define TCLSicnsID		200  

/* STR  IDs */
#define SaveAsPromptID	150  
#define OSErrorStrID	300  
#define OSError2ID		301  

/* STR# IDs */
#define CommonID		128  
#define MemoryWarningsID	129  
#define TaskNamesID		130  
#define ExceptionsID	131  
#define DlgValidationID	133  

/* WIND IDs */
#define MainWindowID	1  
#define ClipboardID		200  

