/* zMainWindow.h -- window class */
/* Created 9/23/93 12:10 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

#define _H_zMainWindow 

#include <CWindow.h>

class CBureaucrat;
class CPane;
class CPanorama;
class CDirector;
class CNervousSystemData;

class CAMButton;
class CScrollPane;
class CPanorama;

/*----------*/
class ZMainWindow : public CWindow {
public:
	CPane			*itsMainPane;

	virtual void	IZMainWindow	(CDirector		*aSupervisor);
	virtual CPanorama	*NewUser5		(void);
	
	void 	DoCommand		(long		theCommand);	// is override

protected:
	/* Panes in this window: */
	CAMButton			*Palette1;
	CScrollPane			*ScrollPane2;
	CPanorama			*User5;
	
}; /* ZMainWindow */
