/* AxonController.h -- Modal dialog */
/* Created 9/18/93 5:29 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

#define _H_AxonController 

#include "zAxonController.h"

// I added this
#include "CNModelData.h"

class CNAxonModel;

/*----------*/
class CAxonController : public ZAxonController {
public:
	virtual	void	IAxonController	(CDirectorOwner	*aSupervisor);
	void	UpdateMenus		(void);							// is override
	void 	DoCommand		(long			theCommand);	// is override
	


protected:
	void	ProviderChanged	(CCollaborator	*aProvider,
							 long			reason,
							 void*			info);			// is override

public:						
	void 	GetDataFromDialog (nAxonData *data);
	void 	PutDataToDialog (nAxonData *data);
	
}; /* CAxonController */

/*----------*/
void	DoAxonController	(CDirectorOwner	*aSupervisor, CNAxonModel *A);
