#pragma once

/******************************************************************************
 CNHotSpotView.h

		Interface for the NHotSpotView Class
		
		Source code for "NervousSystem"
		Copyright  1994 Daniel McFarlane. All rights reserved.
		All use is dictated by the terms of the "GNU General Public 
		License" (see the file "CNObjectView.c" for details).
		
 ******************************************************************************/
 
#define _H_CNHotSpotView

						/* Interface for its superclass		*/
#include "CNObjectView.h"

class CView;
class CBureaucrat;
class CNObjectView;


class CNHotSpotView : public CNObjectView {		/* Class Declaration				*/

public:
								/** Instance Variables **/

								/** Contruction/Destruction **/
	void	INHotSpotView(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							long aHFrameOrigin, long aVFrameOrigin);
	long	GetWidth(void);
	void	Draw(Rect *area);
	void	Dawdle(long	*maxSleep);
	void	SetFDrawHotSpot(Boolean fDraw);
	CNObjectView	*CopyNOViewInto(CView *anEnclosure, CBureaucrat *aSupervisor);
	void		INOViewCopy(CNObjectView *theCopy);
	
protected:
	long	myWidth;
	void	InitMyRegion(void);
	
};


