#pragma once

/******************************************************************************
 CNMyGlobals.h

		Interface for the NMyGlobals Class
		
		Source code for "NervousSystem"
		Copyright  1994 Daniel McFarlane. All rights reserved.
		All use is dictated by the terms of the "GNU General Public 
		License" (see the file "CNObjectView.c" for details).
		
 ******************************************************************************/

#define _H_CNMyGlobals

#include <stdio.h>
#include <stdlib.h>
#include "CView.h"
#include "CBureaucrat.h"

// Note: the order of the members of this enumerated type are tied to the palette.
// If the palette is changed then these names must change. p.s. see MainWindow.c too.
enum nTool {POINTER = 1, METER, STIMULATORCELL, DENDRITE, SOMA, AXON, SYNAPSE, SIMULATIONSTART, SIMULATIONSTOP};


// Here are the index's for the Undo titles for my tasks.
// These index my STR#130 resource.
#define kGMyUndoTyping		1
#define kGMyUndoCut			2
#define kGMyUndoCopy		3
#define kGMyUndoPaste		4
#define kGMyUndoClear		5
#define kGMyUndoFormatting	6
#define kGMyUndoCreateItem 	7
#define kGMyUndoMoveItem 	8
#define kGMyUndoModifyItem 	9
#define kGMyUndoDeleteItem 	10
#define kGMyUndoCreateMeter	11
#define kGMyUndoMoveMeter 	12
#define kGMyUndoModifyMeter	13
#define kGMyUndoDeleteMeter	14
#define kGMyUndoSelectAll	15


