/******************************************************************************
 CNOVConnectChore.c

							The NOVConnectChore Class
		
	SUPERCLASS = CChore
	
	Source code for "NervousSystem"
	Copyright  1994 Daniel McFarlane. All rights reserved.
	All use is dictated by the terms of the "GNU General Public 
	License" (see the file "CNObjectView.c" for details).

 ******************************************************************************/

#include "CNOVConnectChore.h"
#include "CNOVConnectTask.h"
	

/******************************************************************************
 Perform		{An override.}
 
		This Chore is always urgent so "maxSleep" is always 0;		
******************************************************************************/

void	CNOVConnectChore::Perform(
	long	*maxSleep)
{
	itsNOVConnectTask->DoForReal();
}

/******************************************************************************
INOVConnectChore

 ******************************************************************************/

void	CNOVConnectChore::INOVConnectChore(CNOVConnectTask *aNOVConnectTask)
{
	itsNOVConnectTask = aNOVConnectTask;
}

