/******************************************************************************
 CNOVConnectChore.h

		Interface for the NOVConnectChore Class
		
		Source code for "NervousSystem"
		Copyright  1994 Daniel McFarlane. All rights reserved.
		All use is dictated by the terms of the "GNU General Public 
		License" (see the file "CNObjectView.c" for details).

 ******************************************************************************/
 
#define _H_CNOVConnectChore

#include "CChore.h"					/* Interface for its superclass		*/

class CNOVConnectTask;


class CNOVConnectChore : public CChore {				/* Class Declaration				*/
private:
	CNOVConnectTask		*itsNOVConnectTask;
	
public:
								/** Instance Variables **/
	void	INOVConnectChore(CNOVConnectTask *aNOVConnectTask);
										
								/** Instance Methods **/
	virtual void		Perform(long *maxSleep);
};