/* NervousSystemApp.h -- application class */
/* Created 2/9/93 12:01 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

#define _H_NervousSystemApp

#include "NervousSystemGlobals.h"
#include "zNervousSystemApp.h"

class CNervousSystemDoc;
class CNBrainPan;


/*----------*/
class CNervousSystemApp : public ZNervousSystemApp {
public:
	void	INervousSystemApp	(void);							// is override
	void 	Dispose(void);
	void	SetUpFileParameters	(void);						// is override
	void	DoCommand		(long		theCommand);		// is override
	void	UpdateMenus		(void);							// is override
	void	MakeClipboard(void);							// is override
	void	CreateLimboDocument	(void);						// is override

public:
	// your application-specific instance variables:
	CNervousSystemDoc		*myNLimboDoc;	

}; /* CNervousSystemApp */
