/* PulseCellController.h -- Modal dialog */
/* Created 11/19/93 12:30 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

#define _H_PulseCellController 

#include "zPulseCellController.h"

class PulseInput;
#include "CNModelData.h"

/*----------*/
class CPulseCellController : public ZPulseCellController {
public:
	virtual	void	IPulseCellController	(CDirectorOwner		*aSupervisor);
	void	UpdateMenus		(void);							// is override
	void 	DoCommand		(long			theCommand);	// is override

protected:
	void	ProviderChanged	(CCollaborator	*aProvider,
							 long			reason,
							 void*			info);			// is override
							 
public:
	void PutDataToDialog (nPulseInputData *data);
	void GetDataFromDialog (nPulseInputData *data);
	
}; /* CPulseCellController */

/*----------*/
void	DoPulseCellController	(CDirectorOwner		*aSupervisor, PulseInput *I);
