/* SimulationController.h -- Modal dialog */
/* Created 11/19/93 12:30 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

#define _H_SimulationController 

#include "zSimulationController.h"

/*----------*/
class CSimulationController : public ZSimulationController {
public:
	virtual	void	ISimulationController	(CDirectorOwner		*aSupervisor);
	void	UpdateMenus		(void);							// is override
	void 	DoCommand		(long			theCommand);	// is override

protected:
	void	ProviderChanged	(CCollaborator	*aProvider,
							 long			reason,
							 void*			info);			// is override
	
}; /* CSimulationController */

/*----------*/
void	DoSimulationController	(CDirectorOwner		*aSupervisor);
