/* SomaController.h -- Modal dialog */
/* Created 9/18/93 5:29 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

#define _H_SomaController 

#include "zSomaController.h"

class CNSomaModel;
#include "CNModelData.h"


/*----------*/
class CSomaController : public ZSomaController {
public:
	virtual	void	ISomaController	(CDirectorOwner	*aSupervisor);
	void	UpdateMenus		(void);							// is override
	void 	DoCommand		(long			theCommand);	// is override

protected:
	void	ProviderChanged	(CCollaborator	*aProvider,
							 long			reason,
							 void*			info);			// is override
	

public:	void 	GetDataFromDialog (nSomaData *data);
	void 	PutDataToDialog (nSomaData *data);


}; /* CSomaController */

/*----------*/
void	DoSomaController	(CDirectorOwner	*aSupervisor, CNSomaModel *S);
