/* SynapseController.h -- Modal dialog */
/* Created 9/18/93 5:30 PM by AppMaker */

/* Source code for "NervousSystem" */
/* Copyright  1994 Daniel McFarlane. All rights reserved. */
/* All use is dictated by the terms of the "GNU General Public */
/* License" (see the file "CNObjectView.c" for details). */

#define _H_SynapseController 

#include "zSynapseController.h"


class CNSynapseModel;
#include "CNModelData.h"


/*----------*/
class CSynapseController : public ZSynapseController {
public:
	virtual	void	ISynapseController	(CDirectorOwner		*aSupervisor);
	void	UpdateMenus		(void);							// is override
	void 	DoCommand		(long			theCommand);	// is override

protected:
	void	ProviderChanged	(CCollaborator	*aProvider,
							 long			reason,
							 void*			info);			// is override

public:	
	void 	GetDataFromDialog (nSynapseData *data);
	void 	PutDataToDialog (nSynapseData *data);


}; /* CSynapseController */

/*----------*/
void	DoSynapseController	(CDirectorOwner	*aSupervisor, CNSynapseModel *S);
