/*
 *
 *	Biological Neural Net Simulator based on the Bon thesis
 *
 *	Object: DelayQueue
 *
 *	Manages voltages that will manifest themselves after a 
 *	given delay.
 */
 
#pragma once

#include "CNModel.h"

#define MAX_DELAY 100
 
 class CNDelayQueue : public CNModel {
	float	voltage [MAX_DELAY];
	int		delay;
	int		cur;
 public:
 	int Init (int t);
 
 	float	now (void);
 	void later (float v);
 	
 };
 
 