/* zNervousSystemDoc.h -- document class */
/* Created 9/23/93 12:10 PM by AppMaker */

#define _H_zNervousSystemDoc

#include <CDocument.h>

class CApplication;
class CNervousSystemData;

/*----------*/
class ZNervousSystemDoc : public CDocument {
public:
	virtual void	INervousSystemDoc	(CApplication	*aSupervisor,
									 Boolean		printable);
	void	Dispose			(void);							// is override

	void	NewFile			(void);							// is override
	void 	OpenFile		(SFReply	*macSFReply);		// is override
	void	BuildWindows	(void);							// is override

	Boolean	DoSave			(void);							// is override
	Boolean	DoSaveAs		(SFReply	*macSFReply);		// is override
	void	DoRevert		(void);							// is override

	void	UpdateMenus		(void);							// is override
	void 	DoCommand		(long		theCommand);		// is override

protected:
	CNervousSystemData	*itsData;

}; /* ZNervousSystemDoc */
